io.vertx.grpc.stub

## Class ServerCalls

- java.lang.Object
- - io.vertx.grpc.stub.ServerCalls

-     public final class ServerCalls
      extends Object

  Author:
    Rogelio Orts, Eduard Català

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <I,O> StreamObserver<I>` | `manyToMany(StreamObserver<O> response, String compression, java.util.function.BiConsumer<ReadStream<I>,WriteStream<O>> delegate)`
    `static <I,O> StreamObserver<I>` | `manyToOne(StreamObserver<O> response, String compression, java.util.function.Function<ReadStream<I>,Future<O>> delegate)`
    `static <I,O> void` | `oneToMany(I request, StreamObserver<O> response, String compression, java.util.function.BiConsumer<I,WriteStream<O>> delegate)`
    `static <I,O> void` | `oneToOne(I request, StreamObserver<O> response, String compression, java.util.function.Function<I,Future<O>> delegate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### oneToOne

          public static <I,O> void oneToOne(I request,
                                            StreamObserver<O> response,
                                            String compression,
                                            java.util.function.Function<I,Future<O>> delegate)

    - #### oneToMany

          public static <I,O> void oneToMany(I request,
                                             StreamObserver<O> response,
                                             String compression,
                                             java.util.function.BiConsumer<I,WriteStream<O>> delegate)

    - #### manyToOne

          public static <I,O> StreamObserver<I> manyToOne(StreamObserver<O> response,
                                                          String compression,
                                                          java.util.function.Function<ReadStream<I>,Future<O>> delegate)

    - #### manyToMany

          public static <I,O> StreamObserver<I> manyToMany(StreamObserver<O> response,
                                                           String compression,
                                                           java.util.function.BiConsumer<ReadStream<I>,WriteStream<O>> delegate)

Copyright © 2023 Eclipse. All rights reserved.